Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.io
Interface PatternTokenizer

All Known Implementing Classes:
  ImageInputTokenizer, MemoryInputTokenizer, StreamInputTokenizer, XLSInputTokenizer

    public interface PatternTokenizer

Interface to extract tokens from an input stream

Method Summary
`char` | `getDecimalPoint()`
`int` | `getLineno()` Return the current line number.
`int` | `getNumTokens()`
`double` | `getTokenAt(int posiz)` Returns the value of the token at 'posiz' column of the current line Creation date: (17/10/2000 0.30.08)
`double[]` | `getTokensArray()` Returns an array of values of the current line Creation date: (17/10/2000 0.13.45)
`void` | `mark()` marks the current position.
`boolean` | `nextLine()` Go to the next line
`void` | `resetInput()` Go to the last marked position.
`void` | `setDecimalPoint(char decimalPoint)`

Method Detail

### getLineno

    int getLineno()

  Return the current line number.

  Returns:
    the current line number

### getNumTokens

    int getNumTokens()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTokenAt

    double getTokenAt(int posiz)
                      throws java.io.IOException

  Returns the value of the token at 'posiz' column of the current line Creation date: (17/10/2000 0.30.08)

  Parameters:
    `posiz` - int
  Returns:
    float
  Throws:
    `java.io.IOException`

### getTokensArray

    double[] getTokensArray()

  Returns an array of values of the current line Creation date: (17/10/2000 0.13.45)

  Returns:
    float[]

### mark

    void mark()
              throws java.io.IOException

  marks the current position.

  Throws:
    `IOException` - if an I/O Error occurs

### nextLine

    boolean nextLine()
                     throws java.io.IOException

  Go to the next line

  Returns:
    false if EOF, otherwise true
  Throws:
    `IOException` - if an I/O Error occurs

### resetInput

    void resetInput()
                    throws java.io.IOException

  Go to the last marked position. Begin of input stream if no mark detected.

  Throws:
    `java.io.IOException`

### getDecimalPoint

    char getDecimalPoint()

### setDecimalPoint

    void setDecimalPoint(char decimalPoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net